%global forgeurl https://github.com/edenhill/kcat
Version:         1.7.1
%global ref      %{version}
Name:            kcat
Release:    1%{?dist}
Summary:         Generic command line non-JVM Apache Kafka producer and consumer

License:         BSD-2-Clause
URL:             %{forgeurl}
#Source0:          %{forgesource}
Source0:          kcat-1.7.1.tar.gz

BuildRequires:   gcc
BuildRequires:   librdkafka-devel

Provides:        kafkacat = %{version}-%{release}

%description
kcat is a generic non-JVM producer and consumer for Apache Kafka >=0.8, like a
netcat for Kafka.

In producer mode kcat reads messages from stdin, delimited with a configurable
delimiter (-D, defaults to newline), and produces them to the provided Kafka
cluster (-b), topic (-t) and partition (-p).

In consumer mode kcat reads messages from a topic and partition and prints them
to stdout using the configured message delimiter.

There's also support for the Kafka >=0.9 high-level balanced consumer, use the
-G <group> switch and provide a list of topics to join the group.

kcat also features a Metadata list (-L) mode to display the current state of the
Kafka cluster and its topics and partitions.

%prep
%autosetup -n kcat-1.7.1
sed -i -e 's/echo $(INSTALL)/$(INSTALL)/g' Makefile


%build
%configure
%make_build


%install
%make_install


%files
%license LICENSE
%doc README.md
%{_bindir}/kcat
%{_mandir}/man1/kcat.1.gz


%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.7.1-1
- initial build
